// Header
.cursor-pointer {
  cursor: pointer!important;
}
.ant-select-selection__clear {
  display: flex!important;
}
.sm-d-show {
  display: none!important;
}
.sm-d-flex-show {
  display: none!important;
}
.ant-page-header-back{
  display: none!important;
  font-size: 20px!important;
}
.ant-page-header{
  padding: .5rem 1rem!important;
}
.ant-page-header-heading{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.ant-page-header-heading-sub-title{
  display: flex;
  align-items: center;
  margin: 7px 0!important;
}
.header-design-button{
  display: inline-flex!important;
  align-items: center!important;
}
.header-design-dropdown{
  display: inline-flex!important;
  align-items: center!important;
}

.design-main-panal{
  display: flex;
  justify-content: center;
}
.design-change-zoomable{
  position: fixed;
  bottom: .75rem;
  right: 16px;
}

.drawer-setting-design {
  .ant-drawer-content-wrapper {
    top: 0!important;
  }
  .ant-drawer-body {
    padding: 0;
  }
}

//Slick

.slick-prev:before, .slick-next:before {
  color: #000!important;
}

.img-slick-template:hover {
  border: 2px solid rgb(33, 150, 243);
}

// Font
.Arial {
  font-family: 'Arial', sans-serif!important;
}
.Kanit {
  font-family: 'Kanit', sans-serif!important;
}

.Mali {
  font-family: 'Mali', sans-serif!important;
}
.RussoOne {
  font-family: 'Russo One', sans-serif!important;
}
.Prompt {
  font-family: 'Prompt', sans-serif!important;
}
.Athiti {
  font-family: 'Athiti', sans-serif!important;
}
.BaiJamjuree {
  font-family: 'Bai Jamjuree', sans-serif!important;
}
.ChakraPetch {
  font-family: 'Chakra Petch', sans-serif!important;
}
.Charm {
  font-family: 'Charm', sans-serif!important;
}
.Charmonman {
  font-family: 'Charmonman', sans-serif!important;
}
.Chonburi {
  font-family: 'Chonburi', sans-serif!important;
}
.Fahkwang {
  font-family: 'Fahkwang', sans-serif!important;
}
.Itim {
  font-family: 'Itim', sans-serif!important;
}
.K2D {
  font-family: 'K2D', sans-serif!important;
}
.KoHo {
  font-family: 'KoHo', sans-serif!important;
}
.Kodchasan {
  font-family: 'Kodchasan', sans-serif!important;
}
.Krub {
  font-family: 'Krub', sans-serif!important;
}
.Maitree {
  font-family: 'Maitree', sans-serif!important;
}
.Mitr {
  font-family: 'Mitr', sans-serif!important;
}
.Niramit {
  font-family: 'Niramit', sans-serif!important;
}
.Pattaya {
  font-family: 'Pattaya', sans-serif!important;
}
.Pridi {
  font-family: 'Pridi', sans-serif!important;
}
.Sarabun {
  font-family: 'Sarabun', sans-serif!important;
}
.Sriracha {
  font-family: 'Sriracha', sans-serif!important;
}
.Srisakdi {
  font-family: 'Srisakdi', sans-serif!important;
}
.Taviraj {
  font-family: 'Taviraj', sans-serif!important;
}
.Thasadith {
  font-family: 'Thasadith', sans-serif!important;
}
.Trirong {
  font-family: 'Trirong', sans-serif!important;
}

// Main Content
.container-design{
  flex: 1;
  justify-content: center!important;
  position: relative;
  z-index: 0;
  overflow: hidden;
}
.design-main-panal{
  display: flex;
  position: relative;
  z-index: 0;
  -webkit-pointer-events: none;
  pointer-events: none;
}

.tool-drawer .ant-drawer-mask {
  background-color: transparent!important;
}

.react-swipeable-view-container div:last-child{
  display: flex!important;
  justify-content: center!important;
}

.disign-sidebar {
  .ant-menu-inline-collapsed > .ant-menu-item {
    padding: 0!important;
  }
  .ant-menu-vertical .ant-menu-item {
    margin-top: 0!important;
    margin-bottom: 0!important;
    padding: 10px 0px!important;
  }
  .ant-menu.ant-menu-dark .ant-menu-item-selected, .ant-menu-submenu-popup.ant-menu-dark .ant-menu-item-selected {
    // opacity: 1!important;
    // background: transparent;
    // color: #1890ff;
    // .anticon {
    //   color: #1890ff;
    // }
  }
}
.create-template-sidebar {
  .ant-menu-inline-collapsed > .ant-menu-item {
    padding: 0!important;
  }
  .ant-menu-vertical .ant-menu-item {
    margin-top: 0!important;
    margin-bottom: 0!important;
    padding: 10px 0px!important;
  }
  .ant-menu.ant-menu-dark .ant-menu-item-selected, .ant-menu-submenu-popup.ant-menu-dark .ant-menu-item-selected {
    opacity: 1!important;
    background: transparent;
    color: #1890ff;
    .anticon {
      color: #1890ff;
    }
  }
}
.collapse-graphic-design {
  .ant-collapse-header {
    // color: #fff!important;
  }
  .text-button {
    color: #fff;
    display: flex;
    align-items: center;
    padding: 4px 12px;
    background: hsla(0,0%,100%,.07);
    border-radius: 4px;
    margin-bottom: 8px;
    cursor: pointer;
  }
  .text-button:hover {
    background: hsla(0,0%,100%,.3);
  }
}
.edit-font-size.ant-input-number {
  width: 60px!important;
}
.ant-dropdown-menu-item-disabled {
  cursor: default!important;
}
.tabs-edit .ant-tabs-tab {
  margin: 0!important;
  font-weight: 600;
}
.tabs-edit .ant-tabs-tab-active {
  margin: 0!important;
  font-weight: 600!important;
}


@media only screen and (max-width: 576px) {
  .ant-page-header-back{
    display: inline!important;
  }
  .ant-page-header-heading-extra{
    width: auto!important;
    padding-top: 0!important;
    float: right!important;
  }
  .header-design-banner{
    display: none!important;
  }
  .header-design-button{
    border: 0px!important;
    color: #fff!important;
    padding: 0 0.5rem!important;
  }
  .header-design-button i{
    font-size: 20px!important;
  }
  .header-design-button span{
    display: none!important;
  }
  .header-design-dropdown{
    display: none!important;
  }
  .header-design-lang {
    width: 20px!important;
  }
  .header-design-icon-dropdown{
    display: none!important;
  }
  .ant-drawer-body{
    padding: 0!important;
  }
  .sm-d-none{
    display: none!important;
  }
  .sm-d-show{
    display: inline!important;
  }
  .sm-d-flex-show {
    display: flex!important;
  }
  .drawer-design-page .ant-drawer-content-wrapper{
    height: auto!important;
  }

  .user-design-page {
    .ant-menu-item-group-title {
      border-bottom: 1px solid #ececec;
      margin-bottom: 8px;
    }
    .ant-list-item-meta {
      display: block!important;
      text-align: center;
    }
    .ant-list-item-meta-content {
      margin-top: 8px;
    }
    .ant-list-item-meta-title {
      font-weight: 600;
      margin-bottom: 0;
    }
    .sb-avatar.sb-avatar--src {
      width: 70px!important;
      height: 70px!important;
    }
    .sb-avatar__image {
      width: 70px!important;
      height: 70px!important;
    }
  }
}

